FileChecksum (Hadoop 0.20.2-CDH3B4 API)
Date: 2011-02-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.fs
Class FileChecksum

    java.lang.Object
      org.apache.hadoop.fs.FileChecksum

All Implemented Interfaces:
  Writable

Direct Known Subclasses:
  MD5MD5CRC32FileChecksum

    public abstract class FileChecksum

extends Object
implements Writable

An abstract class representing file checksums for files.

Constructor Summary
`FileChecksum()`

Method Summary
`boolean` | `equals(Object other)` Return true if both the algorithms and the values are the same.
`abstract String` | `getAlgorithmName()` The checksum algorithm name
`abstract byte[]` | `getBytes()` The value of the checksum in bytes
`abstract int` | `getLength()` The length of the checksum in bytes
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.io.Writable
`readFields, write`

Constructor Detail

### FileChecksum

    public FileChecksum()

Method Detail

### getAlgorithmName

    public abstract String getAlgorithmName()

  The checksum algorithm name

### getLength

    public abstract int getLength()

  The length of the checksum in bytes

### getBytes

    public abstract byte[] getBytes()

  The value of the checksum in bytes

### equals

    public boolean equals(Object other)

  Return true if both the algorithms and the values are the same.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation